import { jsx } from '@emotion/core';
import { Box, Flex } from 'rebass';
import styles from './styles';
const Container = props => {
    const { base } = styles;
    const { sx } = props;
    return jsx(Flex, Object.assign({}, props, { sx: Object.assign({}, base, sx) }));
};
const WideContainer = props => {
    const { wide } = styles;
    const { sx } = props;
    return jsx(Container, Object.assign({}, props, { sx: Object.assign({}, wide, sx) }));
};
const TallContainer = props => {
    const { tall } = styles;
    const { sx } = props;
    return jsx(Container, Object.assign({}, props, { sx: Object.assign({}, tall, sx) }));
};
const GridContainer = props => {
    const { base, grid } = styles;
    const { sx } = props;
    return jsx(Box, Object.assign({}, props, { sx: Object.assign({}, base, grid, sx) }));
};
Container.displayName = 'Container';
GridContainer.displayName = 'GridContainer';
TallContainer.displayName = 'TallContainer';
WideContainer.displayName = 'WideContainer';
export { Container, GridContainer, TallContainer, WideContainer };
//# sourceMappingURL=index.js.map